Bug 14604 - How mismatched transition-* value lengths are resolved
Summary: How mismatched transition-* value lengths are resolved
Status: RESOLVED FIXED
Alias: None
Product: CSS
Classification: Unclassified
Component: Transitions (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: L. David Baron (Mozilla)
QA Contact: This bug has no owner yet - up for the taking
URL:
Whiteboard: [needsresolution][easy]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-30 22:31 UTC by Dean Jackson
Modified: 2012-03-29 19:09 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Aryeh Gregor 2012-02-21 00:31:53 UTC
It seems we're generally agreed that lists longer than transition-property should be truncated.  Can the spec be updated to reflect this?  In my testing, IE/Firefox/Opera all behave this way, and only WebKit repeats to match the length of the longest list.
Comment 2 L. David Baron (Mozilla) 2012-03-29 19:09:54 UTC
http://dvcs.w3.org/hg/csswg/rev/48e571e1ced0